<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: l_3d_map_visualization</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: l_3d_map_visualization</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><h3>Hint</h3>
<p>The given code for the 3d map visualization is only a temporary solution. And updated solution will replace
this code by mid of September 2021.</p>
<h3> Concept  </h3>: 
<ol>
<li>Generate 3d surface prototype in d3.select
=============================================
see module surface3d.js</li>
</ol>
<table>
  <caption>d3.selection.prototype.surface3D=function(width,height)</caption>
  <tr><th>Member</th><th>Method</th><th>description</th></tr>
  <tr><td>__surface__</td><td>new Surface(this)</td><td>if there is no surface object yet, create a surface object and store it to the __surface__ member</td></tr>
  <tr><td>turntable</td><td>surface.setTurtable</td><td>copy the turntable method from the __surface__ member to the node</td></tr>
  <tr><td>surfaceColor</td><td>map</td><td>energy efficiency map of combustion engine</td></tr>
  <tr><td>surfaceHeight</td><td>map</td><td>engine friction map</td></tr>
  <tr><td>surfaceXAxis</td><td>map</td><td>engine volumetric efficiency</td></tr>
  <tr><td>surfaceYAxis</td><td>multiple curves</td><td>characteristic curves turbo charger compressor wheel</td></tr>
  <tr><td>zoom</td><td>multiple curves</td><td>engine full load characteristics</td></tr>
  <tr><td>transition</td><td>surface.transition.bind(surface)</td><td>characteristic curves for turbo charger turbine</td></tr>
</table></div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_surfaceGenerator.js.html">Script/surfaceGenerator.js</a>, <a href="Script_surfaceGenerator.js.html#line1">line 1</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="~dataFromDataBase"><span class="type-signature">(inner) </span>dataFromDataBase<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>exported function : needed to select and visualize audio data</p>
<p> - the internals of this function are described in the linked namespace
<p><a href="audio.k_1_startStimulation.html"><code>audio.k_1_startStimulation</code></a>
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_surfaceGenerator.js.html">Script/surfaceGenerator.js</a>, <a href="Script_surfaceGenerator.js.html#line31">line 31</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index_server.html">a_index_server</a></li><li><a href="module-b_create_caldata_buttons_client.html">b_create_caldata_buttons_client</a></li><li><a href="module-c_socketCom_server.html">c_socketCom_server</a></li><li><a href="module-d_handleModelData_client.html">d_handleModelData_client</a></li><li><a href="module-e_getModelStimulationData.html">e_getModelStimulationData</a></li><li><a href="module-f_getPostgresData_server.html">f_getPostgresData_server</a></li><li><a href="module-g_setPostgresData_server.html">g_setPostgresData_server</a></li><li><a href="module-h_deletePostgresData_server.html">h_deletePostgresData_server</a></li><li><a href="module-i_getPostgresWOsocket_server.html">i_getPostgresWOsocket_server</a></li><li><a href="module-j_updatePostgresData_server.html">j_updatePostgresData_server</a></li><li><a href="module-k_select-stimulation_client.html">k_select-stimulation_client</a></li><li><a href="module-l_3d_map_visualization.html">l_3d_map_visualization</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.k_1_startStimulation.html">k_1_startStimulation</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html">c_1_socketfunction</a></li><li><a href="data.b_1_dataviz.html">b_1_dataviz</a></li><li><a href="data.b_1_dataviz.b_1_1_socketevent.html">b_1_1_socketevent</a></li><li><a href="data.d_1_handler.html">d_1_handler</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:connection">connection</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:curvedata">curvedata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:disconnect">disconnect</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getCurve">getCurve</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:getTable">getTable</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:initNewData">initNewData</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:tabledata">tabledata</a></li><li><a href="c_socketCom_server.c_1_socketfunction.html#.event:time">time</a></li><li><a href="data.b_1_dataviz.html#.event:thermdata">thermdata</a></li><li><a href="module-e_getModelStimulationData.html#~event:sendAudioFlPths">sendAudioFlPths</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Thu Jul 29 2021 12:31:50 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>